*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    overflow: hidden;
    font-weight: 500;
}

main {
    margin: 80px auto;
    width: 380px;
    border-radius: 10px;
}
body{
    height: 100vh;
    background-color: black;
}

.keys{
    text-align: center;
    padding: 1rem;
    display: grid;
    background-color:transparent;
    grid-template-areas:
    "clear delete dot divide"
    "seven eight nine multiply"
    "four five six minus"
    "one two three plus"
    "zero equals equals equals" ;
}
.key{
   background-color: #faf3dd; 
}

.reject {
  animation: shake 0.82s cubic-bezier(.36,.07,.19,.97) both;
  transform: translate3d(0, 0, 0);
  perspective: 1000px;
}

@keyframes shake {
  10%, 90% {
    transform: translate3d(-1px, 0, 0);
  }
  20%, 80% {
    transform: translate3d(2px, 0, 0);
  }
  30%, 50%, 70% {
    transform: translate3d(-4px, 0, 0);
  }
  40%, 60% {
    transform: translate3d(4px, 0, 0);
  }
}

#clear{
    grid-area: clear;
    background-color: #fcff4d;

}
.delete {
    grid-area: delete;
    background-color: #fcff4d;
}
#one{
    grid-area: one;
}
#two{
    grid-area: two;
}
#three{
    grid-area: three;
}

#four{
    grid-area: four;
}
#five{
    grid-area: five;
}
#six{
    grid-area: six;
}

#seven{
    grid-area: seven;
}
#eight{
    grid-area: eight;
}
#nine{
    grid-area: nine;
}

#zero{
    grid-area: zero;
}

#decimal{
    grid-area: dot;
}
#divide{
    grid-area: divide;
}
#multiply{
    grid-area: multiply;
}
#minus{
    grid-area: minus;
}
#plus{
    grid-area: plus;
}
#equals{
    grid-area: equals;
}


.display{
    background-color: #fcff4d;
    grid-area: d;
    min-height: 4rem;
    height: auto;
    font-size: 1.5rem;
    padding: 10px;
}
#equals{
    background-color: #fcff4d;
}

button{
    cursor: pointer;
    border-radius: 30px;
    height: 4rem; 
    font-size: 2rem;
    margin: .3rem;
    box-shadow: 3px 5px rgba(178, 180, 180, 0.349);
    outline: none;

}
